Package org.bukkit.event.entity

# Class EntityPortalEnterEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityPortalEnterEvent

public class EntityPortalEnterEvent extends EntityEvent
Called when an entity comes into contact with a portal

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityPortalEnterEvent(@NotNull Entity entity, @NotNull Location location)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Location`
`getLocation()`
Gets the portal block the entity is touching

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityPortalEnterEvent

public EntityPortalEnterEvent(@NotNull @NotNull Entity entity, @NotNull @NotNull Location location)

## Method Details

### getLocation

@NotNull public @NotNull Location getLocation()
Gets the portal block the entity is touching

Returns:
  The portal block the entity is touching

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()